$table-break: 768px;
$table-border-color: #e5e5e5;
$table-text: #aaa;
$table-text-2: #fff;
$mobile-table-head: lightblue;
$offset-bg-1: #fff;
$offset-bg-2: #f3f3f3;

.comparison-table,
.comparison-table-2 {
  border-collapse: collapse;
  border: 1px solid $table-border-color;
  padding: 0; 
  margin: 20px auto;
  width: 100%;
  background: #fff;
  & + .table-footer {
    margin-top: -20px;
  }
  td {
    border-left: 1px solid $table-border-color;
    border-right: 1px solid $table-border-color;
    padding: 8px;
    color: $table-text;
    text-align: center;
    &:first-of-type {
      text-align: left;
    }
  }
  .mobile-label {
    display: none;
  }
  .td-content-right {
    display: block;
    color: $table-text;
  }
  th {
    border-top: 1px solid $table-border-color;
    color: $table-text-2;
    padding: 8px;
    font-weight: 400;
    letter-spacing: 0.5px;
    background: $mobile-table-head;
    text-align: center;
    &:first-of-type {
      text-align: left;
    }
  }
  tr {
    &:nth-of-type(odd) {
      background: $offset-bg-2;
    }
    &:first-of-type {
      background: $mobile-table-head;
    }
  }
}
.table-caption {
  display: block;
  box-sizing: border-box;
  width: 100%;
  border: 1px solid $table-border-color;
  border-bottom: initial;
  background: $mobile-table-head;
  color: #fff;
  padding: 4px 15px;
  & + table {
    margin-top: 0;
  }
}

.mobile-table-overflow {
  width: 100%;
  overflow: auto;
}
@media (max-width: $table-break) {
  .comparison-table,
  .responsive-table {
    display: block;
    box-sizing: border-box;
    width: 100%;
    padding: 0;
    &,
    td,
    th {
      border: initial;
    }
    tbody {
      display: block;
      width: 100%;
    }
    tr {
      border: 1px solid $table-border-color;
      display: block;
      box-sizing: border-box;
      margin: 0 0 20px;
      letter-spacing: 0.5px;
      background: $offset-bg-1;
      &:first-of-type {
        display: none;
      }
      &:last-of-type {
        margin: 0 0 0;
      }
      &:nth-of-type(odd) {
        background: $offset-bg-1;
      }
    }
    th {
      display: none;
    }
    td {
      display: block;
      box-sizing: border-box;
      position: relative;
      padding: 0px;
      font-size: 12px;
      &:after {
        display: block;
        content:'';
        clear: both;
      }
      &:nth-of-type(odd) {
        background: $offset-bg-2;
      }
      &:first-of-type {
        width: 100%;
        padding: 6px 8px;
        font-weight: 400;
        font-size: 14px;
        background: $mobile-table-head;
        color: #fff;
        text-align: center;
      }
    }
    .mobile-label {
      border-right: 1px solid $table-border-color;
      display: inline-block;
      box-sizing: border-box;
      width: 50%;
      padding: 6px 8px;
      font-weight: 400;
      float: left;
    }
    .td-content-right {
      display: inline-block;
      box-sizing: border-box;
      float: right;
      padding: 6px 8px;
      width: 50%;
    }
  }
  .is-ie9 {
    .comparison-table,
    .responsive-table {
      tr {
        width: 100%;
        float: left;
        td {
          width: 100%;
          float: left;
        }
      }
    }
  }
}